using System;
using System.IO;
using Android.Content;
using Java.IO;
using Syncfusion.SfChart.XForms;
using Syncfusion.SfChart.XForms.Droid;
using Xamarin.Forms;
using System.Diagnostics;

[assembly: Dependency(typeof(ChartSample.Droid.ChartDependencyService))]
namespace ChartSample.Droid
{
    public class ChartDependencyService : IChartDependencyService
    {
        public string SendFile(string filename)
        {
            var imagePath = new Java.IO.File(Android.OS.Environment.ExternalStorageDirectory + "/"+ filename);
            Debug.WriteLine(imagePath);
            return imagePath.ToString();
        }
    }
}