using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using ChartSample;
using Syncfusion.SfChart.XForms;
using Syncfusion.SfChart.XForms.Droid;
using Xamarin.Forms;
using Xamarin.Forms.Platform.Android;
using NativeChart = Com.Syncfusion.Charts.SfChart;
using System.Collections.ObjectModel;

[assembly: ExportRenderer(typeof(CustomChart), typeof(ChartSample.Droid.CustomRenderer))]

namespace ChartSample.Droid
{
    public class CustomRenderer : SfChartRenderer
    {
        CustomChart chart;

        public CustomRenderer()
        {

        }

        protected override void OnElementChanged(ElementChangedEventArgs<SfChart> e)
        {
            base.OnElementChanged(e);
            chart = e.NewElement as CustomChart;

            if (Control != null)
            {
                Control.SecondaryAxis.LabelCreated += SecondaryAxis_LabelUpdate;
            }
        }

        

        void SecondaryAxis_LabelUpdate(object sender, Com.Syncfusion.Charts.ChartAxis.LabelCreatedEventArgs e)
        {
            e.P1.Position = e.P1.Position + 0.5;
            //Com.Syncfusion.Charts.ChartAxis.ChartAxisLabel label = e.P1;
            //Java.Lang.Object obj = label.LabelContent;

            //DateTime dateLabel = new DateTime();
            //DateTime.TryParse((string)obj, out dateLabel);

            //int currMonth = dateLabel.Month;
            //if (preMonth != currMonth)
            //{
            //    e.P1.LabelContent = dateLabel.ToString("MMM");
            //    preMonth = currMonth;
            //}
            //else
            //    e.P1.LabelContent = dateLabel.ToString("dd");
        }
    }
}